"""
The different slopes used when the `sweep_trigger_source` is set to `SweepTriggerSource.EXTERNAL`
"""

from enum import Enum

class SweepTriggerSlope(Enum):
    """The type of slope used for the external sweep trigger
    """
    POSITIVE = 1
    """This option triggers the sweep on the positive edge
    """
    NEGATIVE = 2
    """Ths option triggers the sweep on the negative edge
    """
